Bug 1283042 - [RFE] Reject / verify before assigning weight with values much higher / lower than it's peers
[RFE] Reject / verify before assigning weight with values much higher / lower...
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS (Show other bugs)
Unspecified Unspecified
medium Severity medium
: rc
: 2.0
Assigned To: Samuel Just
Depends On:
  Show dependency treegraph
Reported: 2015-11-18 00:16 EST by James Biao
Modified: 2017-07-30 11:20 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-02-09 16:07:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Biao 2015-11-18 00:16:07 EST
Description of problem:

Customer runs a script that looked at the output of 'ceph osd tree' to obtain the weight for a particular osd and then reweighted it by adding or subtracting 0.05 to/from its current crush weight based on whether its utilization was high or low.

After a recent upgrade from firefly to hammer, due to a change to ceph -s output, there is now leading whitespace for osds with fewer digits than the max (i.e., 768 would have a leading space but 1353 would not), and this whitespace caused the parser to pick out the OSD number as its weight, so each osd with a number under 1000 got its number plus or minus 0.05 as its weight.

Would like to request an RFE to prevent wieght being assigned a number that way beyond the range of its peers.

Version-Release number of selected component (if applicable):

RHCS 1.2.3

Note You need to log in before you can comment on or make changes to this bug.